package com.flossom.miniProgram.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.flossom.common.core.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

public class LoginUserVo {

    /**
     * id
     */
    private Long id;

    /**
     * 昵称
     */
    @Excel(name = "昵称")
    private String nickname;

    /**
     * 头像
     */
    @Excel(name = "头像")
    private String headimg;

    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String username;

    /**
     * 积分
     */
    @Excel(name = "积分")
    private BigDecimal credit;

    /**
     * 手机
     */
    @Excel(name = "手机")
    private String mobile;

    /**
     * 省id
     */
    @Excel(name = "省id")
    private String provinceId;

    /**
     * 省
     */
    @Excel(name = "省")
    private String province;

    /**
     * 市id
     */
    @Excel(name = "市id")
    private String cityId;

    /**
     * 市
     */
    @Excel(name = "市")
    private String city;

    /**
     * 区id
     */
    @Excel(name = "区id")
    private String areaId;

    /**
     * 区
     */
    @Excel(name = "区")
    private String area;

    /**
     * 生日
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    private String token;


    public LoginUserVo() {
    }

    public LoginUserVo(Long id, String nickname, String headimg, String username, BigDecimal credit, String mobile, String provinceId, String province, String cityId, String city, String areaId, String area, Date birthday, String token) {
        this.id = id;
        this.nickname = nickname;
        this.headimg = headimg;
        this.username = username;
        this.credit = credit;
        this.mobile = mobile;
        this.provinceId = provinceId;
        this.province = province;
        this.cityId = cityId;
        this.city = city;
        this.areaId = areaId;
        this.area = area;
        this.birthday = birthday;
        this.token = token;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getHeadimg() {
        return headimg;
    }

    public void setHeadimg(String headimg) {
        this.headimg = headimg;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public BigDecimal getCredit() {
        return credit;
    }

    public void setCredit(BigDecimal credit) {
        this.credit = credit;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }
}
